Bug 2092883 - Updated Qualcomm FW in linux-firmware for Wifi modems on Lenovo platforms
Summary: Updated Qualcomm FW in linux-firmware for Wifi modems on Lenovo platforms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 36
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2092884
TreeView+ depends on / blocked
 
Reported: 2022-06-02 13:24 UTC by Mark Pearson
Modified: 2022-06-30 02:17 UTC (History)
6 users (show)

Fixed In Version: linux-firmware-20220610-135.fc36 linux-firmware-20220610-135.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2092884 (view as bug list)
Environment:
Last Closed: 2022-06-16 01:21:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark Pearson 2022-06-02 13:24:51 UTC
Description of problem:

Qualcomm 7265 Wifi isn't working on the Lenovo Z13 and Z16 platforms and needs the latest firmware updates from Qualcomm. I think this will also impact some of our other 2022 AMD platforms but haven't tested on those yet.

The update has been pushed upstream and was accepted. Would it be possible to pull this into Fedora please?

https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=12865e7e4b1b55ee4538a915b89cd05f9a6b2b91

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Wifi not working
2. Update FW
3. Wifi working :)

Actual results: Wifi not working


Expected results: Wifi working


Additional info:

Comment 1 Peter Robinson 2022-06-02 13:41:18 UTC
Yep, will push this out with the next upstream release. That should be mid month or there abouts. The general rule of thumb is a monthly release about mid month from upstream FYI.

Comment 2 Mark Pearson 2022-06-02 13:44:46 UTC
Perfect - thank you!

Comment 3 Fedora Update System 2022-06-14 09:02:51 UTC
FEDORA-2022-ee69e90000 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ee69e90000

Comment 4 Fedora Update System 2022-06-14 09:02:54 UTC
FEDORA-2022-0566172ae3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0566172ae3

Comment 5 Fedora Update System 2022-06-15 01:11:23 UTC
FEDORA-2022-0566172ae3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-0566172ae3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0566172ae3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-06-15 01:15:38 UTC
FEDORA-2022-ee69e90000 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-ee69e90000`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ee69e90000

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-06-16 01:21:06 UTC
FEDORA-2022-0566172ae3 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-06-30 02:17:19 UTC
FEDORA-2022-ee69e90000 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.